package com.example.acapendulum20.repository

import androidx.lifecycle.LiveData
import com.example.acapendulum20.data.MeasurementDao
import com.example.acapendulum20.data.UserDao
import com.example.acapendulum20.model.Measurement
import com.example.acapendulum20.model.User

class MeasurementRepository(private val measurementDao: MeasurementDao) {

    val readAllData: LiveData<List<Measurement>> = measurementDao.readAllData()

    suspend fun addMeasurement(measurement: Measurement){
        measurementDao.addMeasurement(measurement)
    }

    suspend fun finishMeasurement(measurement: Measurement){
        measurementDao.finishMeasurement(measurement)
    }

    suspend fun readAllDataMeasurement(id: String){
        var readAllData = measurementDao.readAllData(id)
    }

}